#version 330

layout (std140) uniform Matrices {
	mat4 m_pvm;
	mat4 m_proj;
	mat4 m_model;
};

in vec4 position;
in vec3 normal;
in vec2 texCoord;

out DataV2G {
	vec4 normal;
	vec2 texCoord;
} DataOut;

void main () {
	
	DataOut.normal = vec4(normal,0.0); // world space
	DataOut.texCoord = texCoord;
	gl_Position = position;	// world space
}