#version 420

uniform sampler2DArray texUnit;

in Data {
	vec4 texCoord;
} DataIn;

layout (location = 0) out vec4 outputF;

void main()
{
	ivec2 tc = ivec2(DataIn.texCoord.xy * 512);
	vec4 c1 = texelFetch(texUnit,ivec3(tc, 0),0);
	vec4 c2 = texelFetch(texUnit,ivec3(tc, 1),0);

	outputF = vec4(c1.r, c2.g, c2.b, 1.0);
} 
